@echo off
if "%OS%" == "Windows_NT" setlocal

if not defined JAVA_HOME goto no_java_home
if not defined EDLDAP_HOME goto no_edldap_home

set JAVA=%JAVA_HOME%\bin\java

set EDLDAP_JAR=%EDLDAP_HOME%\jars\edldap-3.2.0.jar
set LIBDIR=%EDLDAP_HOME%\lib

set CLASSPATH=%LIBDIR%\commons-cli-1.4.jar;%LIBDIR%\slf4j-api-1.7.25.jar;%LIBDIR%\ldaptive-1.2.2.jar;%LIBDIR%\ldaptive-beans-1.2.2.jar;%LIBDIR%\spring-core-4.3.10.RELEASE.jar;%LIBDIR%\spring-expression-4.3.10.RELEASE.jar;%EDLDAP_JAR%

call "%JAVA%" -cp "%CLASSPATH%" edu.vt.middleware.ldap.ed.executables.EdCli %*
goto end

:no_edldap_home
echo ERROR: EDLDAP_HOME environment variable must be set to ED Ldap install path.
goto end

:no_java_home
echo ERROR: JAVA_HOME environment variable must be set to JRE/JDK install path.

:end
