/* See LICENSE for licensing and NOTICE for copyright. */
package edu.vt.middleware.ldap.ed;

/**
 * Represents a multi-factor authentication data to present to an ldap instance.
 *
 * @author Middleware Services
 */
public interface MultiFactor
{

  /**
   * Returns the value of this factor.
   *
   * @return Generated value
   */
  String getValue();

}
